package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.ReminderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-02
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/reminder")
public class ReminderController {
    @Autowired
    private ReminderService reminderService;

    //查询
    @PostMapping("/getReminder")
    public Result getReminder(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return reminderService.getReminder(paramsMap);
    }

    //查询
    @PostMapping("/save")
    public Result save(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return reminderService.save(paramsMap);
    }
}

